@font-face {
    font-family: 'whitneybook';
    src: url('fonts/whitney-book_3-webfont.woff2') format('woff2'),
         url('fonts/whitney-book_3-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'arnhemtabmedium';
    src: url('fonts/arnhemtb-webfont.woff2') format('woff2'),
         url('fonts/arnhemtb-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

:root {
    --main-color: #2B2B2B;
    --green: #39A545;
    --blue: #004A79;
    --yellow: #FFA900;
    --white: #F9F9F9;
    --gray: #9D9D9D;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img,
svg {
    display: block;
    max-width: 100%;
}

body {
    font-family: "Aleo", serif;
    overflow-x: hidden;
}

p {
    font-family: "whitneybook";
}

h5 {
    font-weight: 700;
}

html {
    scroll-behavior: smooth;
}

.scroll-up {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--green);
    position: fixed;
    bottom: 2%;
    right: 2%;
}

.scroll-up svg {
    width: 40%;
    fill: var(--white);
}

/*-------------------- Utility classes --------------------*/
.heading:not(.nuestra-identidad .heading) {
    height: 300px;
    background-color: var(--white);
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    align-items: center;
}

.heading div {
    position: relative;
    grid-column: 2 / span 2;
}

.heading div h4 {
    font-size: 2rem;
    border-left: 2px solid;
    padding-left: 10px;
}

.heading div span {
    font-size: 5rem;
    position: absolute;
    top: -50px;
    left: -80px;
    opacity: .2;
}

.text-green {
    color: var(--green);
}

.text-italic {
    font-style: italic;
}

/********************* HEADER *********************/
header {
    height: 500px;
    display: grid;
    place-items: center;
    background: url("img/header-bg.svg") no-repeat center;
    background-size: cover;
    background-attachment: fixed;
}

header img {
    width: 300px;
    margin: auto;
}

header h1 {
    font-size: 4em;
    text-align: center;
    text-transform: uppercase;
    color: var(--main-color);
}

/********************* NUESTRA IDENTIDAD *********************/
.nuestra-identidad {
    padding-block: 120px;
    display: grid;
    place-items: center;
}

.nuestra-identidad .heading {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.nuestra-identidad .heading span {
    width: 30px;
    height: 3px;
    background-color: var(--gray);
}

.nuestra-identidad .heading h2 {
    margin-inline: 15px;
    color: var(--gray);
    font-size: 1.5em;
    text-transform: uppercase;
}

.nuestra-identidad .values {
    margin-top: 50px;
    display: flex;
    gap: 50px;
    flex-wrap: wrap;
    justify-content: center;
}

.nuestra-identidad .values div a {
    font-size: 4rem;
    opacity: .3;
    font-family: "arnhemtabmedium";
    text-decoration: none;
    transition: all .3s ease;
}

.nuestra-identidad .values div a:hover {
    font-size: 4.5rem;
}

.green a,
.green p {
    color: var(--green);
}

.blue a,
.blue p {
    color: var(--blue);
}

.yellow a,
.yellow p {
    color: var(--yellow);
}

.nuestra-identidad .values div {
    text-align: center;
    width: 150px;
}

.nuestra-identidad .values div p {
    font-weight: bold;
}

/********************* IDENTIDAD CRISTIANA *********************/
/* Heading */
.identidad-cristiana .heading div h4 {
    border-left-color: var(--green);
    color: var(--green);
}

.identidad-cristiana .heading div span {
    color: var(--green);
}

/* Main content */
.identidad-cristiana .main {
    padding-top: 50px;
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    grid-template-rows: repeat(3, min-content);
    row-gap: 50px;
    background: url("img/identidad_misc2.svg") no-repeat left top, url("img/identidad_misc1.svg") no-repeat right bottom;
    background-size: 50%;
}

.identidad-cristiana .main > p {
    font-size: 1.5rem;
}

.identidad-cristiana .main .intro {
    grid-column: 2 / span 6;
}

.identidad-cristiana .main p:not(.apoya p, .intro) {
    grid-column: 2 / span 2;
}

.main__steps {
    display: grid;
    grid-column: 5 / span 3;
    row-gap: 50px;
    height: fit-content;
}

.main__steps > div {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
}

.main__steps div h5,
.main__steps_last h5 {
    font-size: 1.5rem;
    color: var(--green);
    width: 80%;
}

.main__steps span,
.main__steps_last span {
    color: var(--green);
    opacity: .2;
    font-size: 3.5rem;
}

.main__steps div p,
.main__steps_last p {
    color: var(--main-color);
    padding-left: 20px;
    border-left: 2px solid var(--green);
}

.identidad-cristiana .main .main__steps_last {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    grid-column: 2 / span 3;
}

/* Cómo nos apoya el Opus Dei */
.apoya {
    display: flex;
    align-items: center;
    justify-content: space-around;
    grid-column: 2 / span 6;
    gap: 30px;
}

.apoya .pregunta {
    font-size: 1.8rem;
    color: var(--green);
}

.apoya > div:not(.pregunta) {
    display: flex;
    gap: 50px;
}

.apoya > div:not(.pregunta) > div {
    width: 200px;
    height: 200px;
    padding-inline: 2%;
    background-color: var(--green);
    border-radius: 50%;
    display: grid;
    place-items: center;
}

.apoya > div p {
    text-align: center;
    color: var(--white);
}

/* Link */
.identidad__link {
    width: min-content;
    margin: 50px auto;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.identidad__link a {
    margin-inline: 15px;
    text-decoration: none;
    font-weight: 600;
    font-size: 1.4rem;
    color: var(--gray);
}

.identidad__link span {
    width: 30px;
    height: 3px;
    background-color: var(--gray);
}

/********************* DIMENSIÓN CRISTIANA *********************/
/* Heading */
.clima-libertad .heading div h4 {
    border-left-color: var(--blue);
    color: var(--blue);
}

.clima-libertad .heading div span {
    color: var(--blue);
}

/* Main content */
.clima-libertad .main {
    height: 600px;
    padding-top: 50px;
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    align-items: center;
    background: url("img/clima-libertad_misc1.svg") no-repeat center;
    background-size: cover;
    column-gap: 50px;
}

.clima-libertad .main .scale-img {
    width: 150px;
}

.clima-libertad .main div:first-child {
    display: flex;
    flex-direction: column;
    grid-column: 2 / span 3;
}

.clima-libertad .main div:first-child h5 {
    font-size: 1.4rem;
    color: var(--blue);
}

.cristianos-mundo {
    display: flex;
}

.cristianos-mundo p {
    border-left: 2px solid var(--blue);
    margin-left: 20px;
    padding-left: 20px;
}

.clima-libertad .main div:last-child {
    grid-column: 5 / span 3;
}

/********************* EL VALOR DEL TRABAJO *********************/
/* Heading */
.colegio-extension .heading div h4 {
    border-left-color: var(--yellow);
    color: var(--yellow);
}

.colegio-extension .heading div span {
    color: var(--yellow);
}

/* Main content */
.colegio-extension .main {
    padding-block: 50px;
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    background: url("img/colegio_misc1.svg") no-repeat top right;
    background-size: 70%;
}

.colegio-extension .main > p {
    font-size: 1.2rem;
    color: var(--main-color);
    grid-column: 2 / span 2;
}

.colegio-extension .main .padres {
    height: fit-content;
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    grid-column: 5 / span all;
}

.padres .padres-text {
    padding-left: 20px;
    border-left: 2px solid var(--yellow);
    grid-column: 2 / span 2;
}

.padres-text p {
    margin-top: 20px;
}

.padres-text h5 {
    font-family: "whitneybook";
}

.padres div h5,
.docentes div h5 {
    font-size: 1.5rem;
    color: var(--yellow);
}

.padres div span {
    font-size: 3.5rem;
    color: var(--yellow);
    opacity: .2;
}

.padres-img-container {
    align-self: end;
    justify-self: end;
    grid-column: 1 / span all;
}

/********************* CLIMA DE LIBERTAD *********************/
/* Heading */
.gobierno-colegiado .heading div h4 {
    border-left-color: var(--green);
    color: var(--green);
}

.gobierno-colegiado .heading div span {
    color: var(--green);
}

/* Main content */
.gobierno-colegiado .main {
    padding-top: 50px;
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    align-items: center;
    background: url("img/gobierno-colegiado_misc1.svg") no-repeat center;
    background-size: cover;
}

.gobierno-colegiado .main div:first-child {
    display: flex;
    flex-direction: column;
    grid-column: 2 / span 3;
}

.gobierno-colegiado .main div:first-child h5 {
    padding-block: 20px;
    margin-top: 30px;
    font-size: 1.4rem;
    color: var(--green);
    border-top: 2px solid var(--green);
    font-family: "whitneybook";
}

.gobierno-colegiado .main div:nth-child(2) {
    grid-column: 3 / span 3;
    align-self: self-start;
}

.gobierno-colegiado .main div:last-child {
    grid-column: 6 / span 2;
    padding-bottom: 50px;
}

.gobierno-colegiado .main .libro {
    width: 40%;
}

/********************* EL COLEGIO COMO EXTENSIÓN DE LA FAMILIA *********************/
/* Heading */
.vision-personalizada .heading div h4 {
    border-left-color: var(--blue);
    color: var(--blue);
}

.vision-personalizada .heading div span {
    color: var(--blue);
}

/* Main content */
.vision-personalizada .main {
    padding-top: 50px;
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    column-gap: 50px;
    row-gap: 100px;
    background: url("img/vision-personalizada_misc1.svg") no-repeat top left;
    background-size: 70%;
}

.vision-personalizada .main div img {
    grid-column: 1 / span 3;
}

.vision-personalizada .main > div:first-child {
    grid-column: 2 / span 3;
}

.vision-personalizada .main > div:first-child p {
    font-size: 1.4rem;
    color: var(--blue);
}

.vision-personalizada .main > div:nth-child(2) {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    column-gap: 30px;
    row-gap: 30px;
    grid-column: 5 / span 4;
}

.vision-personalizada .padres,
.familias {
    grid-column: 1 / span all;
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    height: fit-content;
}

.vision-personalizada .padres h5,
.familias h5 {
    color: var(--blue);
    font-size: 1.5rem;
    padding-right: 20px;
}

.vision-personalizada .padres-text {
    border-left: 2px solid var(--blue);
}

.vision-personalizada .padres-text p {
    margin-top: 0;
}

.familias {
    grid-row: 2;
}

.familias .padres-text {
    grid-column: 2 / span 2;
    padding-left: 20px;
}

.docente-prolongacion {
    display: grid;
    grid-template-columns: .5fr 1fr .5fr 1fr;
    grid-column: 2 / span all;
    column-gap: 40px;
    grid-row: 2;
}

.docente-prolongacion h5 {
    font-size: 1.5rem;
    color: var(--blue);
    border-right: 2px solid var(--blue);
}

/* Footer */
footer {
    height: 100px;
    margin-top: 100px;
    background-color: var(--white);
    display: grid;
    place-items: center;
    position: relative;
}

footer img {
    width: 30%;
    position: absolute;
    bottom: -50px;
    right: 0;
}

.footer-info {
    display: flex;
    align-items: center;
}

.footer-info p {
    margin-inline: 15px;
    color: var(--gray);
    font-size: 1.4rem;
    text-align: center;
}

.footer-info p a {
    color: var(--gray);
    text-decoration: none;
}

.footer-info span {
    width: 30px;
    height: 3px;
    background-color: var(--gray);
}

/********************* CADA ALUMNO ES ÚNICO Y PROTAGONISTA *********************/
/* Heading */
.alumno-protagonista .heading div h4 {
    border-left-color: var(--yellow);
    color: var(--yellow);
}

.alumno-protagonista .heading div span {
    color: var(--yellow);
}

/* Main content */
.alumno-protagonista {
    margin-top: 80px;
    background: url("img/colegio_misc1.svg") no-repeat top right;
}

.alumno-protagonista .main {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(8, minmax(0, 1fr));
    background-size: 70%;
    row-gap: 50px;
}

.alumno-protagonista .main > p {
    grid-column: 2 / span 2;
    font-size: 1.5rem;
    color: var(--yellow);
}

.forma-personalizada {
    grid-column: 5 / span 3;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.forma-personalizada > div {
    display: flex;
    gap: 30px;
}

.forma-personalizada > div h5,
.opcion-diferenciada h5 {
    font-size: 1.5rem;
    color: var(--yellow);
}

.forma-personalizada > div h5:first-child,
.opcion-diferenciada h5 {
    border-right: 2px solid var(--yellow);
    padding-right: 30px;
}

.forma-personalizada > div:last-child {
    align-items: center;
    border-top: 2px solid var(--yellow);
    border-bottom: 2px solid var(--yellow);
    padding-block: 20px;
}

.forma-personalizada > div:last-child img {
    width: 30%;
}

.opcion-diferenciada {
    grid-row: 2;
    grid-column: 2 / span 6;
    display: flex;
    gap: 20px;
}

/********************* MEDIA QUERIES *********************/
@media screen and (max-width: 1280px) {
    /* Identidad cristiana */
    .nuestra-identidad .values {
        gap: 25px;
    }
    
    .identidad-cristiana .heading div,
    .clima-libertad .heading div,
    .colegio-extension .heading div,
    .gobierno-colegiado .heading div,
    .vision-personalizada .heading div {
        grid-column: 2 / span 6;
    }
    
    .identidad-cristiana .heading div span,
    .clima-libertad .heading div span,
    .colegio-extension .heading div span,
    .gobierno-colegiado .heading div span,
    .vision-personalizada .heading div span {
        top: -70px;
        left: -50px;
    }
    
    .identidad-cristiana .main .main__steps_last {
        grid-column: 2 / span 6;
    }
    
    .apoya {
        flex-direction: column;
        gap: 40px;
    }
    
    .apoya > div:not(.pregunta) {
        flex-wrap: wrap;
        justify-content: center;
    }
    
    .apoya > div:not(.pregunta) > div {
        width: 180px;
        height: 180px;
    }

    /* Clima de libertad */
    .clima-libertad .main {
        height: auto;
        row-gap: 50px;
    }

    .clima-libertad .main div:first-child,
    .clima-libertad .main div:nth-child(2),
    .clima-libertad .main div:last-child {
        grid-column: 2 / span 6;
    }

    .clima-libertad .main div:first-child > img {
        width: 20%;
    }

    .clima-libertad .main div:nth-child(2) {
        grid-row: 3;
    }

    /* El colegio como extensión de la familia */
    .colegio-extension .main {
        row-gap: 50px;
    }

    .colegio-extension .main > p {
        grid-column: 2 / span 6;
    }

    .colegio-extension .main .padres {
        grid-template-columns: repeat(8, minmax(0, 1fr));
        grid-column: 2 / span 6;
        grid-row: 2;
    }

    .colegio-extension .main .padres div:not(.padres-text) {
        grid-column: 1 / span 2;
    }

    .colegio-extension .padres-img-container {
        grid-column: 1 / span all !important;
    }

    .colegio-extension .main .padres .padres-text {
        grid-template-columns: repeat(4, minmax(0, 1fr));
        grid-column: 3 / span 6;
    }

    .padres .padres-text > p:first-child,
    .padres .padres-text > p:last-child {
        grid-column: 1 / span 3;
    }

    .colegio-extension .main .docentes {
        display: grid;
        grid-template-columns: repeat(8, minmax(0, 1fr));
        grid-row: 4;
        grid-column: 2 / span 6;
    }

    .colegio-extension .main .docentes div {
        grid-column: 1 / span 2;
    }

    .colegio-extension .main .docentes p {
        grid-column: 3 / span 6;
    }

    .docentes-img-container {
        width: 85%;
        grid-row: 4;
    }

    /* Gobierno colegiado */
    .gobierno-colegiado .main {
        height: auto;
        row-gap: 50px;
    }

    .gobierno-colegiado .main div:first-child,
    .gobierno-colegiado .main div:nth-child(2),
    .gobierno-colegiado .main div:last-child {
        grid-column: 2 / span 6;
    }

    .gobierno-colegiado .main div:first-child > img {
        width: 20%;
    }

    .gobierno-colegiado .main div:nth-child(2) {
        grid-row: 3;
    }

    /* Visión personalizada del alumno */
    .vision-personalizada .main > div:first-child {
        grid-column: 2 / span 6;
    }

    .vision-personalizada .main > div:nth-child(2) {
        grid-column: 2 / span 6;
    }

    .cinco-1 span {
        justify-self: start;
    }

    .cinco-1-text div {
        padding-block: 20px;
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }

    .opcion-diferenciada {
        grid-template-columns: repeat(3, minmax(0, 1fr));
        column-gap: 30px;
    }

    .opcion-diferenciada p {
        grid-column: 2 / span 1;
    }

    .opcion-diferenciada p:last-of-type {
        grid-column: 3 / span 1;
    }

    /* Alumno protagonista */
    .alumno-protagonista .main > p {
        grid-column: 2 / span 6;
    }

    .forma-personalizada {
        grid-column: 2 / span 6;
        flex-direction: row;
        grid-row: 2;
    }

    .opcion-diferenciada {
        grid-row: 3;
    }

    .forma-personalizada > div:last-child {
        flex-direction: column;
        align-items: flex-start;
    }

    /* El colegio como extensión */
    .vision-personalizada .padres {
        grid-row: 2;
    }

    .familias {
        grid-row: 3;
    }

    .docente-prolongacion {
        grid-row: 4;
    }
}

@media screen and (max-width: 980px) {
    /* Header */
    header h1 {
        font-size: 3.5em;
    }

    /* Nuestra identidad */
    .main__steps {
        grid-column: 2 / span 6;
        row-gap: 50px;
    }

    .identidad-cristiana .main p:not(.apoya p) {
        grid-column: 2 / span 6;
    }

    /* Visión personalizada del alumno */
    .opcion-diferenciada {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }

    .opcion-diferenciada > div {
        grid-column: 1 / span 4;
    }

    .opcion-diferenciada p:first-of-type {
        grid-column: 1 / span 2;
    }

    .opcion-diferenciada p:last-of-type {
        grid-column: 3 / span 2;
    }

    /* Alumno protagonista */
    .forma-personalizada {
        grid-column: 2 / span 6;
        flex-direction: column;
        grid-row: 2;
    }

    .forma-personalizada > div:last-child {
        flex-direction: row;
        align-items: center;
    }

    /* Colegio como extensión */
    .docente-prolongacion {
        grid-template-columns: repeat(4, minmax(0, 1fr));
        grid-column: 2 / span 6;
    }
    .docente-prolongacion h5 {
        grid-column: 1 / span all;
        border-right: 0;
        border-bottom: 2px solid var(--blue);
        padding-bottom: 20px;
        margin-bottom: 20px;
    }

    .docente-prolongacion .prolongacion-text {
        grid-row: 2;
        grid-column: 1 / span all;
    }

    .docente-prolongacion > p {
        grid-row: 3;
        grid-column: 1 / span all;
    }

    .docente-prolongacion > .prolongacion-img-wrapper {
        grid-row: 4;
        grid-column: 1 / span all;
    }
}

@media screen and (max-width: 768px) {
    /* Nuestra identidad */
    .apoya > div:not(.pregunta) > div {
        font-size: .8rem;
        width: 160px;
        height: 160px;
    }

    /* Clima de libertad */
    .clima-libertad .main div:first-child > img {
        width: 30%;
    }

    /* Valor del trabajo */
    .colegio-extension .main {
        padding-bottom: 0;
    }

    .colegio-extension .main .padres > div:first-child {
        grid-column: 1 / span all;
        grid-row: 1;
    }
    
    .colegio-extension .main .padres .padres-text {
        padding-top: 20px;
        margin-top: 20px;
        padding-left: 0;
        border-top: 2px solid var(--yellow);
        border-left: 0;
        grid-column: 1 / span all;
        grid-row: 2;
    }

    /* Alumno protagonista */
    .forma-personalizada > div:first-child {
        flex-direction: column;
    }

    .forma-personalizada > div h5:first-child {
        border-right: none;
    }

    .forma-personalizada > div:first-child h5 {
        border-bottom: 2px solid var(--yellow);
        padding-bottom: 20px;
    }

    .opcion-diferenciada {
        flex-direction: column;
    }

    .opcion-diferenciada h5 {
        border-right: 0;
        border-bottom: 2px solid var(--yellow);
        padding-bottom: 20px;
    }

    /* Colegio como extensión */
    .vision-personalizada .padres-text {
        grid-row: 2;
        grid-column: 1 / span all;
        border-left: 0;
        padding-left: 0;
        padding-top: 20px;
        margin-top: 20px;
        border-top: 2px solid var(--blue);
    }

    .vision-personalizada .padres div {
        grid-column: 1 / span all;
    }

    .familias {
        grid-row: 3;
    }

    .docente-prolongacion {
        grid-row: 4;
    }

    .vision-personalizada .familias div {
        grid-column: 1 / span all;
    }
}

@media screen and (max-width: 500px) {
    /* Header */
    header h1 {
        font-size: 2.5em;
    }

    /* Nuestra identidad */
    .nuestra-identidad .heading h2 {
        font-size: 1.2em;
    }

    .nuestra-identidad .heading span {
        width: 20px
    }

    .main__steps,
    .main__steps > div {
        display: flex;
        flex-direction: column;
    }

    .identidad-cristiana .main .main__steps_last {
        display: flex;
        flex-direction: column;
    }

    /* Clima de libertad */
    .clima-libertad .main div:first-child > img {
        width: 40%;
    }

    /* El colegio como extensión de la familia */
    .colegio-extension .main .padres div:not(.padres-text),
    .colegio-extension .main .padres .padres-text,
    .colegio-extension .main .docentes div,
    .colegio-extension .main .docentes p {
        grid-column: 1 / span 8;
    }
    
    .padres .padres-text > p:first-child,
    .padres .padres-text > p:last-child {
        grid-column: 1 / span 4;
    }

    .docentes-img-container {
        display: none;
    }

    /* Visión personalizada del alumno */
    .cinco-1,
    .cinco-1-text {
        grid-column: 1 / span 3;
    }
}